2 Replies Latest reply: Nov 24, 2012 1:43 PM by Kappy
emilykate92 Level 1 Level 1 (0 points)

In order to get a facebook and twitter app on my iPod touch, I need at least iOS 5. My iPod is a 16gb touch. How to I update my software?


iPod touch, iOS 4.3.1